Bug 102614 - RFE: apply Radeon MergedFB Patch to XFree Packages
RFE: apply Radeon MergedFB Patch to XFree Packages
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2003-08-18 14:15 EDT by Dan Berger
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-10-23 18:29:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dan Berger 2003-08-18 14:15:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686) Gecko/20030701 Galeon/1.3.7

Description of problem:
Alex Deucher has written a patch to add MergedFB support to the radeon driver. 
See: http://bugs.xfree.org/show_bug.cgi?id=276

I (and others) have been using is patch under normal load for some time - it's
stable and terribly useful (esp. on notebooks).

Please consider applying the patch to the XFree packages in the next RH release.
Comment 1 Mike A. Harris 2003-08-18 21:33:03 EDT
The patch has not been integrated into XFree86 CVS nor DRI CVS at this point
to my knowledge, and so integrating it into Red Hat Linux would provide the
functionality to users, and require Red Hat to keep that functionality present
in future releases so that users who've come to rely on the feature do not
lose it in an upgrade.

Without having the patch integrated into XFree86 CVS, there is no guarantee
it ever will be, and so the onus would fall upon us to update and maintain
the patch, and do so every time XFree86.org modifies the radeon driver in
a manner which makes the patch fail.

At this point in time, I can't really make such a commitment to an
experimental (but very cool and useful) patch, which has not yet been
accepted into upstream CVS yet.  I do however very much look forward to
the patch being integrated, and to including the functionality in a future
OS release.

I am monitoring this development however, and am watching the upstream
bug closely.

I'll leave this open for the time being, but I'll probably defer it for a
future release later.  Either way, I hope to see it get into CVS.
Comment 2 Mike A. Harris 2003-08-22 23:54:38 EDT
Deferring for future.
Comment 3 Dan Berger 2003-10-23 12:41:56 EDT
By the way - this patch is now (and has been for a few weeks) in DRI CVS. 
Comment 4 Mike A. Harris 2003-10-23 18:29:06 EDT
I'm well aware that this unstable code has been committed to the DRI CVS,
as I am a member of the DRI project.  I'm also carbon copied on the bug
report upstream tracking this.

The Radeon MergedFB support is *highly* experimental code which was recently
checked into the DRI CVS head, and subsequently 3 DRI developers requested
it be removed and put in a developmental branch until it is stable enough
for DRI CVS head.

Developmental DRI support for any hardware or major new feature goes into
a developmental branch of DRI CVS, and then once it is considered stable
enough, it gets included into the DRI CVS head.  After it's been there for
a while, it gets merged into XFree86 developmental CVS head for the next
release of XFree86 whenever the DRI tree gets merged full tilt.

The XFree86 4.4.0 release has been feature frozen, which means only major
bug fixes and small obvious fixes are included from here on out for 4.4.0.

Since the MergedFB code is a new feature, is not a small fix, nor is it
stable yet, but it hasn't been adapted yet to the suggestions DRI developers
have given, nor has the mergedfb code been extracted to the common layer.

This code is highly experimental and developmental, and will not be included
in XFree86 4.4.0, nor will it be included in Red Hat Linux, Fedora Core or
other Red Hat OS products until it is merged directly into the XFree86
source code repository, which wont likely be until 4.5.0 or 5.0 is released.

In the mean time, users who are interested in this feature are encouraged
to use the DRI CVS branch which the mergedfb support for Radeon is included
in, and report good/bad feedback to Alex via the dri-devel mailing list,
so that any problems caused by the new support can be rectified in time
for the next major XFree86 release after 4.4.0.

I won't include something this highly experimental into our driver.


Note You need to log in before you can comment on or make changes to this bug.